statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | (c) 2009, 2011 Bryan O'Sullivan
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Statistics.Distribution.Poisson

Contents

- Constructors
- Accessors
- References

Description

The Poisson distribution. This is the discrete probability distribution of a number of events occurring in a fixed interval if these events occur with a known average rate, and occur independently from each other within that interval.

Synopsis

- data PoissonDistribution
- poisson :: Double -> PoissonDistribution
- poissonLambda :: PoissonDistribution -> Double

# Documentation

data PoissonDistribution Source

Instances

Eq PoissonDistribution Source |
Data PoissonDistribution Source |
Read PoissonDistribution Source |
Show PoissonDistribution Source |
Generic PoissonDistribution Source |
ToJSON PoissonDistribution Source |
FromJSON PoissonDistribution Source |
Binary PoissonDistribution Source |
Entropy PoissonDistribution Source |
MaybeEntropy PoissonDistribution Source |
Variance PoissonDistribution Source |
MaybeVariance PoissonDistribution Source |
Mean PoissonDistribution Source |
MaybeMean PoissonDistribution Source |
DiscreteDistr PoissonDistribution Source |
Distribution PoissonDistribution Source |
type Rep PoissonDistribution Source |

# Constructors

poisson :: Double -> PoissonDistribution Source

Create Poisson distribution.

# Accessors

poissonLambda :: PoissonDistribution -> Double Source

# References

- Loader, C. (2000) Fast and Accurate Computation of Binomial Probabilities. http://projects.scipy.org/scipy/raw-attachment/ticket/620/loader2000Fast.pdf
- Adell, J., Lekuona, A., and Yu, Y. (2010) Sharp Bounds on the Entropy of the Poisson Law and Related Quantities http://arxiv.org/pdf/1001.2897.pdf